import { AsyncCb, Cb, NodePathFormatter } from "./types";
export declare function flatten(obj: object, key: string, onlyUnique: boolean): any[];
export declare function apply(obj: object, ...callbacks: Cb[]): void;
export declare function applyAsync(obj: object, ...callbacks: AsyncCb[]): Promise<void>;
export declare function findAll<T>(obj: object, value: T, typeConversion?: boolean): T[];
export declare function deepCopy(obj: object): {};
export declare class Break extends Error {
    constructor(message?: string);
}
export declare function forceEvalGenerator<T>(gen: Generator<T>): void;
export declare function forceEvalAsyncGenerator<T>(gen: AsyncGenerator<T>): Promise<void>;
declare type NodeComparison = {
    path: string;
    a?: any;
    b?: any;
    hasDifference: boolean;
    difference?: 'added' | 'removed' | {
        before: any;
        after: any;
    };
};
export declare function compare(a: object, b: object, leavesOnly?: boolean, formatter?: NodePathFormatter): NodeComparison[];
export {};
