import { AsyncCallback, BaseCallback, Callback, Config, Context, PositionType } from "./types";
import { WalkNode } from "./node";
export declare function matchCallbacks<T extends BaseCallback>(node: WalkNode, position: PositionType, ctx: Context<T>): T[];
export declare function execCallbacks(callbacks: Callback[], node: WalkNode): void;
declare type AsyncExecutor = (callbacks: AsyncCallback[], node: WalkNode) => Promise<void>;
export declare function execCallbacksAsync(callbacks: AsyncCallback[], node: WalkNode): Promise<void>;
export declare const execCallbacksAsyncInParallel: (callbacks: AsyncCallback[], node: WalkNode) => Promise<void>;
export declare function getAsyncExecutor<T>(config: Config<T>): AsyncExecutor;
export {};
