import { AsyncCallback, Callback, PartialConfig } from "./types";
import { WalkNode } from "./node";
export declare function walkStep(obj: object, config: PartialConfig<Callback>): Generator<WalkNode>;
export declare function walkAsyncStep(obj: object, config: PartialConfig<AsyncCallback>): AsyncGenerator<WalkNode>;
export declare const walk: (obj: object, config: PartialConfig<Callback>) => void;
export declare const walkAsync: (obj: object, config: PartialConfig<AsyncCallback>) => Promise<void>;
